OOB Webhook Notification
In Out-of-Band (OOB) authentication, a webhook notification is sent to the issuer-provided channel for cardholder’s approval.
POST
/
v1
/
authenticate
/
{customerNumber}
/
{sessionId}
OOB Webhook Notification
curl --request POST \
--url https://integration-api-cat2.demo.ext.test.cia.enfuce.com/enfuceid/api/v1/authenticate/{customerNumber}/{sessionId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "https://id.enfuce.com/v1/callback/mycompany/392492402/5d3a3e10-b511-42cd-b9b6-1f2a5701ba98",
"merchant": {
"description": "Airline ticket",
"name": "Airline of the world inc.",
"country": "FIN",
"url": "https://www.airline.com/order/64674"
}
}
'import requests
url = "https://integration-api-cat2.demo.ext.test.cia.enfuce.com/enfuceid/api/v1/authenticate/{customerNumber}/{sessionId}"
payload = {
"callbackUrl": "https://id.enfuce.com/v1/callback/mycompany/392492402/5d3a3e10-b511-42cd-b9b6-1f2a5701ba98",
"merchant": {
"description": "Airline ticket",
"name": "Airline of the world inc.",
"country": "FIN",
"url": "https://www.airline.com/order/64674"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrl: 'https://id.enfuce.com/v1/callback/mycompany/392492402/5d3a3e10-b511-42cd-b9b6-1f2a5701ba98',
merchant: {
description: 'Airline ticket',
name: 'Airline of the world inc.',
country: 'FIN',
url: 'https://www.airline.com/order/64674'
}
})
};
fetch('https://integration-api-cat2.demo.ext.test.cia.enfuce.com/enfuceid/api/v1/authenticate/{customerNumber}/{sessionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier of the cardholder
Unique identification number of the ensuing authentication request, returned in the callback request after the authentication request is complete.
Body
application/json
Extra information in order to give information about why authentication is initiated
Response
Successful initiation of authentication
Was this page helpful?
⌘I
OOB Webhook Notification

